Consultar Seguro
Requisição
Endpoint
- Metodo: GET
- Endpoint:
/v2/policies/{policy_id}
Parâmetros (Path)
| Parâmetro | Tipo | Obrigatório | Descrição |
|---|---|---|---|
| policy_id | string (uuid) | ✅ | Identificador da apólice |
Exemplo de requisição
GET /v2/policies/3fa85f64-5717-4562-b3fc-2c963f66afa6
Resposta
Campos da resposta (200)
| Parâmetro | Tipo | Descrição |
|---|---|---|
| id | string (uuid) | Identificador da apólice |
| active_from | string (date-time) | Início da vigência |
| active_until | string (date-time) | Fim da vigência |
| proposal | Proposal | Proposta vinculada |
| is_active | boolean | Indica se a apólice está ativa |
| proposal_doc_url | string | null | URL do documento da apólice |
| created_at | string (date-time) | Data de criação |
| updated_at | string (date-time) | Data da última atualização |
| cancelled_at | string (date-time) | null | Data de cancelamento |
Exemplo (200)
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"active_from": "2025-08-11T00:00:00.000Z",
"active_until": "2035-08-11T00:00:00.000Z",
"proposal": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa4",
"client_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "SIGNED",
"credit_contract_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"premium": "100.0"
},
"is_active": true,
"proposal_doc_url": "https://url.to/policy/file.pdf",
"created_at": "2025-08-10T02:07:49.030Z",
"updated_at": "2025-08-10T02:07:49.030Z",
"cancelled_at": null
}
Erros
| Código | HTTP | Descrição |
|---|---|---|
NOT_FOUND | 404 | Apólice não encontrada. |